(function ($, Drupal, drupalSettings, once) {
    Drupal.behaviors.customShowTransactionsDiv = {

        attach: function (context) {
            var miniorange_2fa_admin_transactions = drupalSettings.miniorange_2fa;
            if (miniorange_2fa_admin_transactions) {

                var mo_2fa_transactions = [
                    {name : "SMS", type : "sms", transactions : miniorange_2fa_admin_transactions.sms_remaining + ' |'},
                    {name : "Email", type : "email", transactions : miniorange_2fa_admin_transactions.email_remaining + ' |'},
                    {name : "IVR", type : "ivr", transactions : miniorange_2fa_admin_transactions.ivr_remaining},
                ]

                var transactionsHtml = $('<div>').addClass('mo-2fa-auth-transactions card');
                $(once('mo-2fa-auth-transactions', '.page-title', context)).parent().append(transactionsHtml);

                mo_2fa_transactions.forEach(moTransactions => {
                    var transTypeDiv = $('<div>')
                        .addClass('remaining-transactions remaining-transactions-' + moTransactions.type)
                        .text(  moTransactions.name + ': ' + moTransactions.transactions);

                    // Add transactions to the mo-2fa-auth-transactions div
                    $(once('remaining-transactions-' + moTransactions.type, '.mo-2fa-auth-transactions', context)).append(transTypeDiv);

                });
            }
            
        }
    };
})(jQuery, Drupal, drupalSettings, once);
